com.io7m.jcanephora.core

## Class JCGLVersion

- java.lang.Object
- - com.io7m.jcanephora.core.JCGLVersion

- All Implemented Interfaces:
    JCGLVersionType, Comparable<JCGLVersionType>

      @Generated(value={"Immutables.generator","JCGLVersionType"})
      public final class JCGLVersion
      extends Object
      implements JCGLVersionType

  A structure representing the version of the current OpenGL implementation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JCGLVersion.Builder` Builds instances of type `JCGLVersion`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLVersion.Builder` | `builder()` Creates a builder for `JCGLVersion`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `JCGLVersion` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `number`, `text`.
    `JCGLVersionNumber` | `number()`
    `static JCGLVersion` | `of(JCGLVersionNumber number, String text)` Construct a new immutable `JCGLVersion` instance.
    `String` | `text()`
    `String` | `toString()` Prints the immutable value `JCGLVersion` with attribute values.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLVersionType

      `compareTo`

- - ### Method Detail

    - #### number

          public JCGLVersionNumber number()

      Specified by:
        `number` in interface `JCGLVersionType`
      Returns:
        The version number

    - #### text

          public String text()

      Specified by:
        `text` in interface `JCGLVersionType`
      Returns:
        The version text

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `JCGLVersion` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `number`, `text`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `JCGLVersion` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static JCGLVersion of(JCGLVersionNumber number,
                                       String text)

      Construct a new immutable `JCGLVersion` instance.
      Parameters:
        `number` - The value for the `number` attribute
        `text` - The value for the `text` attribute
      Returns:
        An immutable JCGLVersion instance

    - #### builder

          public static JCGLVersion.Builder builder()

      Creates a builder for `JCGLVersion`.
      Returns:
        A new JCGLVersion builder

Copyright © 2017 <code@io7m.com> http://io7m.com